%if 0%{?suse_version}
%define	_group	www
%else
%define	_group	apache
%endif
Name:           nfsen_prepare_build
Summary:        prepare build environment
Version:        0.1
Release:        2.7
License:        GNU
Group:          Productivity/Networking
URL:            none
Buildroot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}                                
BuildRequires:  openldap2-client                     
Requires:       openldap2-client sysvinit            
PreReq:         %fillup_prereq                       
%endif                                               
%if 0%{?suse_version} >= 1030                        
PreReq:         pwdutils                             
Requires:       pwdutils                             
BuildRequires:  pwdutils                             
%endif                                               
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:  shadow-utils                                       
Requires:       shadow-utils                                       
%endif                                                             
%if 0%{?suse_version}
BuildRequires:  apache2-mod_php5
BuildRequires:  php-sockets
%else
BuildRequires:  httpd php
%endif

%description
this package prepares build environment for nfsen package

%setup -c -T

%install
echo "a dummy readme" > README

%post
if [ -z "`%__grep "^netflow" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "netflow" -d %{_datadir}/nfsen -g %{_group} -r -s /bin/false netflow
fi

%files
%defattr(-,root,root)
%doc README

%changelog
* Tue Feb 09 2010 Carsten Schoene <cs@linux-administrator.com> 0.1-1
- initial package
